Retrieves ACL entries on a specified
[bucket](https://docs.cloud.google.com/storage/docs/json_api/v1/buckets.md.txt#resource).

> [!NOTE]
> **Important:** This method fails with a `400 Bad Request` response for buckets with uniform bucket-level access enabled. Use [`storage.buckets.getIamPolicy`](https://docs.cloud.google.com/storage/docs/json_api/v1/buckets/getIamPolicy.md.txt) and [`storage.buckets.setIamPolicy`](https://docs.cloud.google.com/storage/docs/json_api/v1/buckets/setIamPolicy.md.txt) to control access instead.

## Required permissions

The authenticated user must have the following IAM permissions on the bucket to
use this method:

- `storage.buckets.get`
- `storage.buckets.getIamPolicy`

As an alternative to having IAM permissions, the authenticated user can use this method by having the `OWNER` ACL permission for the bucket.

<br />

## Request

### HTTP request

```
GET https://storage.googleapis.com/storage/v1/b/bucket/acl
```

In addition to [standard query parameters](https://docs.cloud.google.com/storage/docs/json_api/v1/parameters.md.txt#query),
the following query parameters apply to this method.

To see an example of how to include query parameters in a request, see the
[JSON API Overview](https://docs.cloud.google.com/storage/docs/json_api.md.txt#query_parameters) page.

### Parameters

| Parameter name | Value | Description |
|---|---|---|
| **Path parameters** |||
| `bucket` | `string` | Name of a bucket. |
| **Optional query parameters** |||

### Request body

Do not supply a request body with this method.

## Response

If successful, this method returns a response body with the following structure:

```
{
  "kind": "storage#bucketAccessControls",
  "items": [
    bucketAccessControls Resource
  ]
}
```

| Property name | Value | Description | Notes |
|---|---|---|---|
| `kind` | `string` | The kind of item this is. For lists of bucket access control entries, this is always `storage#bucketAccessControls`. |   |
| `items[]` | `list` | The list of [bucketAccessControls](https://docs.cloud.google.com/storage/docs/json_api/v1/bucketAccessControls.md.txt). |   |

## Try it!


Use the APIs Explorer below to call this method on live data and see the response.